package com.yono.messeripos.response;

import androidx.appcompat.app.AppCompatActivity;

import com.google.gson.annotations.SerializedName;

public class DataResponse<T> {

    @SerializedName("status")
    private Boolean statusData;

    @SerializedName("message")
    private String messageData;

    @SerializedName("data")
    private T data;

    public Boolean getStatusData() {
        return statusData;
    }

    public void setStatusData(Boolean statusData) {
        this.statusData = statusData;
    }

    public String getMessageData() {
        return messageData;
    }

    public void setMessageData(String messageData) {
        this.messageData = messageData;
    }

    public T getData() {
        return data;
    }

    public void setData(T data) {
        this.data = data;
    }


}
